import axios from 'axios'
import { PageNumberPagination, UUID } from '@/types'
import { CorpusExport } from '@/types/export'
import { PageNumberPaginationParameters, unique } from '.'

// List a corpus' exports
export const listExports = unique(async (corpusId: UUID, params: PageNumberPaginationParameters): Promise<PageNumberPagination<CorpusExport>> => (await axios.get(`/corpus/${corpusId}/export/`, { params })).data)

// Start an export on a corpus
export const startExport = unique(async (corpusId: UUID): Promise<CorpusExport> => (await axios.post(`/corpus/${corpusId}/export/`)).data)
